still_working.jpg=Still working!
appendix_20061125_10.JPG=Entry wounds
appendix_20061125_09.JPG=Entry wounds
appendix_20061125_01.JPG=Entry wounds
fasttrack_room_5_2.jpg=In the O.R. prep room
1.jpg=My IV
hospital_room.jpg=My hospital room
operating_room.jpg=My surgery team
appendix_20061125_05.JPG=Entry wounds
4.jpg=The recliner
fasttrack_room_5.jpg=In the O.R. prep room
2.jpg=My Barium cocktail
appendix_20061125_04.JPG=Entry wounds
hang_loose.jpg=Hang Loose!
3.jpg=The recliner
fasttrack_area.jpg=The Fasttrack area
relaxing.jpg=Relaxing in the Triage room.
appendix_20061125_02.JPG=Entry wounds